dlg_search -rc (hwnd parent_window, ((hwnd) .) fp)    
{
  w_in (parent_window, (hwnd window) {
                                       if (window->is_node ()) 
                                         dlg_search (window, fp);
                                       else 
                                         if (fp (window)) {}
                                         else break;
                                     });
}